#include "mutex.h"

using namespace aka2;

mutex::mutex() {
  InitializeCriticalSection(&critical_section_);
}

mutex::~mutex() {
  DeleteCriticalSection(&critical_section_); 
}

void mutex::lock() {
  EnterCriticalSection(&critical_section_);
}

void mutex::unlock() {
  LeaveCriticalSection(&critical_section_);
}